<?php
namespace front\view;
class ShopClient
{
  public static function address_edit( $values )
  {
    $tpl = new \Tpl;
    if ( is_array( $values ) ) foreach ( $values as $key => $val )
      $tpl -> $key = $val;
    return $tpl -> render( 'shop-client/address-edit' );
  }
  
  public static function client_addresses( $values )
  {
    $tpl = new \Tpl;
    if ( is_array( $values ) ) foreach ( $values as $key => $val )
      $tpl -> $key = $val;
    return $tpl -> render( 'shop-client/client-addresses' );
  }
          
  
  public static function client_menu( $values )
  {
    $tpl = new \Tpl;
    if ( is_array( $values ) ) foreach ( $values as $key => $val )
      $tpl -> $key = $val;
    return $tpl -> render( 'shop-client/client-menu' );
  }
  
  public static function client_orders( $values )
  {
    $tpl = new \Tpl;
    if ( is_array( $values ) ) foreach ( $values as $key => $val )
      $tpl -> $key = $val;
    return $tpl -> render( 'shop-client/client-orders' );
  }
  
  public static function recover_password() 
  {
    $tpl = new \Tpl;
    return $tpl -> render( 'shop-client/recover-password' );    
  }
  
  public static function mini_login() 
  {
    global $client;
    $tpl = new \Tpl;
    $tpl -> client = $client;
    return $tpl -> render( 'shop-client/mini-login' );
  }
  
  public static function login_form( $values = '' )
  {
    $tpl = new \Tpl;
    if ( is_array( $values ) ) foreach ( $values as $key => $val )
      $tpl -> $key = $val;
    return $tpl -> render( 'shop-client/login-form' );
  }
  
  public static function register_form() 
  {
    $tpl = new \Tpl;
    return $tpl -> render( 'shop-client/register-form' );
  }
}
